package com.emoon.openplatform.enums;

/**
 * 系统错误枚举
 *
 * @author destiny
 * @date 2025/10/25 18:32
 */
public enum SystemEnum {

    SUCCESS(0, "成功"),

    /**
     * 输入内容必须为数组格式
     */
    INPUT_MUST_BE_ARRAY(1, "输入内容必须为数组格式！"),

    /**
     * 该公钥不具备该知识库权限，请联系管理员添加
     */
    PUBLIC_KEY_NO_MODEL_PERMISSION(20, "该公钥不具备该模型权限，请联系管理员添加！"),

    /**
     * 该公钥不具备该知识库权限，请联系管理员添加
     */
    PUBLIC_KEY_NO_RAG_PERMISSION(21, "该公钥不具备该知识库权限，请联系管理员添加！"),

    /**
     * 该公钥不正确，请核对参数"publicKey"的值
     */
    INVALID_PUBLIC_KEY(3, "该公钥不正确，请核对参数\"publicKey\"的值！"),

    /**
     * 该模型不支持该网络状态，请核对参数"network"的值
     */
    MODEL_NOT_SUPPORT_NETWORK(4, "该模型不支持该网络状态，请核对参数\"network\"的值！"),

    /**
     * 模型不存在，请核对参数"model"的值
     */
    MODEL_NOT_EXISTS(5, "模型不存在，请核对参数\"model\"的值！"),

    /**
     * 非法请求
     */
    ILLEGAL_REQUEST(6, "非法请求，已拒绝。"),

    /**
     * 解密错误
     */
    DECRYPTION_ERROR(7, "解密错误，请核对仔细核对参数"),

    /**
     * 项目不存在
     */
    PROJECT_NOT_EXISTS(8, "项目不存在，请检查的是否正确"),

    /**
     * 该项目不具备该模型权限
     */
    PROJECT_NO_MODEL_PERMISSION(9, "该项目不具备该模型权限，请联系管理员添加！"),

    /**
     * 该项目不具备该知识库权限
     */
    PROJECT_NO_RAG_PERMISSION(10, "该项目不具备该知识库权限，请联系管理员添加！"),

    /**
     * 该项目不具备该智能体权限
     */
    PROJECT_NO_AGENT_PERMISSION(11, "该项目不具备该智能体权限，请联系管理员添加！"),;

    private final int code;
    private final String message;

    SystemEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
